/*
 * IBM Confidential
 * OCO Source Materials
 * ----------------------
 *  Copyright IBM 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.j2ca.vta;

/**
* Constants class that holds all of the constants used by the adapter runtime.
*
* @author
*
*/
public interface VTAConstants {
	public static final String METADATA_NAMESPACE = "http://www.ibm.com/xmlns/prod/websphere/j2ca/vta/metadata";
	// TODO populate the value below
	public static final String CONNECTOR_NAME = "IBM WebSphere Adapter for Visual Test";
	public static final String CONNECTOR_VENDOR = "IBM";
	public static final String CONNECTOR_VERSION = "6.2";
	
	// The following constants added by VTADev Team
	public static final String VTAUTIL ="VTAUtil";
	public static final String VTAINTERACTION ="VTAInteraction";
	public static final String VTAMANAGEDCONN ="VTAManagedConnection";
	public static final String VTAEVENTSTOREXID ="VTAEventStoreWithXid";
	public static final String VTABASECOMMAND ="VTABaseCommand";

	public static final String VERB ="verb";
	public static final String VTA_ADAPTERID ="001";

}