/*
 * IBM Confidential
 * OCO Source Materials
 *  Copyright IBM 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.j2ca.vta.outbound;

import javax.resource.ResourceException;
import javax.resource.cci.ResourceAdapterMetaData;
import javax.resource.spi.ConnectionManager;

import com.ibm.j2ca.base.WBIConnectionFactory;
import com.ibm.j2ca.base.WBIManagedConnectionFactory;
import com.ibm.j2ca.base.WBIResourceAdapterMetadata;

public class VTAConnectionFactory extends WBIConnectionFactory {

	private static final long serialVersionUID = -3208055714558394950L;//changed value from 3 to current;

	//added by VTADev team
	WBIResourceAdapterMetadata metadata = null;

	public VTAConnectionFactory(ConnectionManager connMgr, WBIManagedConnectionFactory mcf) {
		super(connMgr, mcf);
	}

	//added by VTADev team
	public ResourceAdapterMetaData getMetaData() throws ResourceException {
		if (metadata != null)
			return metadata;
		else
			metadata = new WBIResourceAdapterMetadata("IBM WebSphere Adapter for Visual Test", "IBM", "6.2", false);
		return metadata;
	}

}