/*
 * YourCompany Confidential
 * OCO Source Materials
 *  Copyright YourCompany 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.j2ca.vta.outbound;

import javax.resource.ResourceException;
import javax.resource.cci.ConnectionMetaData;

public class VTAConnectionMetadata implements ConnectionMetaData {
	
	private String eisProductName;
	private String eisProductVersion;
	private String userName;

	public VTAConnectionMetadata(String eisProductName, String eisProductVersion, String userName) {
		this.eisProductName = eisProductName;
		this.eisProductVersion = eisProductVersion;
		this.userName = userName;
	}

	public String getEISProductName() throws ResourceException {
		return eisProductName;
	}

	public String getEISProductVersion() throws ResourceException {
		return eisProductVersion;
	}

	public String getUserName() throws ResourceException {
		return userName;
	}

}