/*
 * YourCompany Confidential
 * OCO Source Materials
 * (C) Copyright YourCompany 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.j2ca.vta.emd;

/**
 * These are constants that are used in multiple files, and may change.  
 */
public class Constants {
    public static final String ADAPTER_NAME = "VTA Resource Adapter";
    public static final String TB_DEFAULT_NAMESPACE = "http://www.ibm.com/xmlns/prod/wbi/j2ca/vta";
    public static final String ASI_TARGET_NAMESPACE = "http://www.ibm.com/xmlns/prod/websphere/j2ca/vta/metadata";
    public static final String ACTIVATION_SPEC = "com.ibm.j2ca.vta.inbound.VTAActivationSpecWithXid";
    public static final String MANAGED_CONNECTION_FACTORY_NAME = "com.ibm.j2ca.vta.outbound.VTAManagedConnectionFactory";
    public static final String RESOURCE_ADAPTER_BEAN_NAME = "com.ibm.j2ca.vta.VTAResourceAdapter";  
    public static final String BUS_OBJ_APPINFO_ASI_TYPE_TAG = "asi:BusinessObjectTypeMetadata";
    public static final String ATTR_APPINFO_ASI_TYPE_TAG = "asi:PropertyTypeMetadata";
    public static final String SCHEMA_LOCATION = "schemaLocation=\"";
    public static final String FIELD_NAME = "asi:FieldName";
    public static final String N_CARDINALITY = "N";
    public static final String XS_STRING = "string";
    public static final String PRIMARY_KEY = "asi:PrimaryKey";
    public static final String ASI_OBJECTNAME = "asi:ObjectName";
    public static final String PRIMARYKEY = "primaryKey";
    public static final String ASI = "asi";
    public static final String VTAASI_XSD = "VTAASI.xsd";
    public static final String SELECTION_PROPERTIES = "Selection Properties";
    public static final String INBOUND = "Inbound";
    public static final String SERVICETYPE = "ServiceType";
    public static final String SELECTIONPROPERTIES = "SelectionProperties";
    public static final String OUTBOUND = "Outbound";
    public static final String NAMESPACE = "NameSpace";
    public static final String OPERATIONS = "Operations";
}