/*
 * YourCompany Confidential
 * OCO Source Materials
 * (C) Copyright YourCompany 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.j2ca.vta.emd;

/**
 * This consolidates much of the case-changing logic into a central location. 
 */
public class StringCaseChanger {
    public static String toUpperCase(String inputString) {
        return inputString.toUpperCase();
    }

    public static String toCamelCase(String inputString) {
        boolean changeNext2CAPS = false;
        StringBuffer sbf = new StringBuffer();
        Character ch;
        for (int i = 0; i < inputString.length(); i++) {
            ch = new Character(inputString.charAt(i));
            if (i == 0) {
                sbf.append(Character.toUpperCase(ch.charValue()));
                continue;
            }
            if (ch.charValue() == '_') {
                changeNext2CAPS = true;
                continue;
            }
            if (changeNext2CAPS != true) {
                sbf.append(Character.toLowerCase(ch.charValue()));
            } else {
                changeNext2CAPS = false;
                sbf.append(ch);
            }
        }
        return sbf.toString().trim();
    }
}